GET
/v2/itemsList
Recovers your items using cursor-based pagination, most recently created first. This endpoint is opt-in: it is disabled by default and must be enabled for your team. Contact support if you want access.
Parameters
Query Parameters
| Name | Type |
|---|---|
clientUserId | string |
connectorId | integer |
after | string |
Responses
200Retrieve a list of your items using cursor-based pagination
object
Cursor-based paginated response for items
resultsrequiredobject[]
List of items for the current page
itemsobject
Item object
nextrequiredstring | null
Ready-to-use query string for the next page: append it as-is to the endpoint path (GET /v2/items{next}). Null if there are no more results.
Example response
json
{
"results": [
{
"id": "e062ab2b-9006-45e8-b689-defabba53647",
"connector": {
"id": 200,
"name": "MeuPluggy",
"primaryColor": "ef294b",
"institutionUrl": "https://meu.pluggy.ai/",
"country": "BR",
"type": "PERSONAL_BANK",
"credentials": [],
"imageUrl": "https://cdn.pluggy.ai/assets/connector-icons/sandbox.svg",
"hasMFA": false,
"oauth": true,
"health": {
"status": "ONLINE",
"stage": null
},
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"CREDIT_CARDS",
"INVESTMENTS",
"INVESTMENTS_TRANSACTIONS",
"PAYMENT_DATA",
"IDENTITY",
"BROKERAGE_NOTE"
],
"createdAt": "2023-09-12T16:44:13.900Z",
"isSandbox": false,
"isOpenFinance": false,
"updatedAt": "2024-11-26T13:33:44.296Z",
"supportsPaymentInitiation": false,
"supportsScheduledPayments": false,
"supportsSmartTransfers": false,
"supportsBoletoManagement": false
},
"createdAt": "2024-09-19T13:10:31.212Z",
"updatedAt": "2024-09-19T13:11:23.613Z",
"status": "UPDATED",
"executionStatus": "SUCCESS",
"lastUpdatedAt": "2024-09-19T13:11:23.595Z",
"webhookUrl": null,
"error": null,
"clientUserId": "gabriel@pluggy.ai",
"consecutiveFailedLoginAttempts": 0,
"statusDetail": null,
"parameter": null,
"userAction": null,
"nextAutoSyncAt": null,
"consentExpiresAt": null,
"products": [
"ACCOUNTS",
"CREDIT_CARDS",
"TRANSACTIONS",
"INVESTMENTS",
"IDENTITY",
"INVESTMENTS_TRANSACTIONS",
"PAYMENT_DATA"
],
"oauthRedirectUri": null
}
],
"next": "string"
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/v2/items' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
